package DataSource

type Session struct {
	AltSpeedDown              int64        `json:"alt-speed-down"`
	AltSpeedEnabled           bool         `json:"alt-speed-enabled"`
	AltSpeedTimeBegin         int64        `json:"alt-speed-time-begin"`
	AltSpeedTimeEnabled       bool         `json:"alt-speed-time-enabled"`
	AltSpeedTimeEnd           int64        `json:"alt-speed-time-end"`
	AltSpeedTimeDay           int64        `json:"alt-speed-time-day"`
	AltSpeedUp                int64        `json:"alt-speed-up"`
	BlocklistUrl              string       `json:"blocklist-url"`
	BlocklistEnabled          bool         `json:"blocklist-enabled"`
	BlocklistSize             int64        `json:"blocklist-size"`
	CacheSizeMb               int64        `json:"cache-size-mb"`
	ConfigDir                 string       `json:"config-dir"`
	DownloadDir               string       `json:"download-dir"`
	DownloadQueueSize         int64        `json:"download-queue-size"`
	DownloadQueueEnabled      bool         `json:"download-queue-enabled"`
	DhtEnabled                bool         `json:"dht-enabled"`
	Encryption                string       `json:"encryption"`
	IdleSeedingLimit          int64        `json:"idle-seeding-limit"`
	IdleSeedingLimitEnabled   bool         `json:"idle-seeding-limit-enabled"`
	IncompleteDir             string       `json:"incomplete-dir"`
	IncompleteDirEnabled      bool         `json:"incomplete-dir-enabled"`
	LpdEnabled                bool         `json:"lpd-enabled"`
	PeerLimitGlobal           int64        `json:"peer-limit-global"`
	PeerLimitPerTorrent       int64        `json:"peer-limit-per-torrent"`
	PexEnabled                bool         `json:"pex-enabled"`
	PeerPort                  int64        `json:"peer-port"`
	PeerPortRandomOnStart     bool         `json:"peer-port-random-on-start"`
	PortForwardingEnabled     bool         `json:"port-forwarding-enabled"`
	QueueStalledEnabled       bool         `json:"queue-stalled-enabled"`
	QueueStalledMinutes       int64        `json:"queue-stalled-minutes"`
	RenamePartialFiles        bool         `json:"rename-partial-files"`
	RpcVersion                int64        `json:"rpc-version"`
	RpcVersionMinimum         int64        `json:"rpc-version-minimum"`
	ScriptTorrentDoneFilename string       `json:"script-torrent-done-filename"`
	ScriptTorrentDoneEnabled  bool         `json:"script-torrent-done-enabled"`
	SeedRatioLimit            float64      `json:"seedRatioLimit"`
	SeedRatioLimited          bool         `json:"seedRatioLimited"`
	SeedQueueSize             int64        `json:"seed-queue-size"`
	SeedQueueEnabled          bool         `json:"seed-queue-enabled"`
	SpeedLimitDown            int64        `json:"speed-limit-down"`
	SpeedLimitDownEnabled     bool         `json:"speed-limit-down-enabled"`
	SpeedLimitUp              int64        `json:"speed-limit-up"`
	SpeedLimitUpEnabled       bool         `json:"speed-limit-up-enabled"`
	StartAddedTorrents        bool         `json:"start-added-torrents"`
	TrashOriginalTorrentFiles bool         `json:"trash-original-torrent-files"`
	Units                     SessionUnits `json:"units"`
	UtpEnabled                bool         `json:"utp-enabled"`
	Version                   string       `json:"version"`
}
