package DataSource

type TorrentModify struct {
	BandwidthPriority   int64         `json:"bandwidthPriority"`
	DownloadLimit       int64         `json:"downloadLimit"`
	DownloadLimited     bool          `json:"downloadLimited"`
	FilesWanted         []int64       `json:"files-wanted"`
	FilesUnwanted       []int64       `json:"files-unwanted"`
	HonorsSessionLimits bool          `json:"honorsSessionLimits"`
	Ids                 []int64       `json:"ids"`
	Location            string        `json:"location"`
	PeerLimit           int64         `json:"peer-limit"`
	PriorityHigh        []int64       `json:"priority-high"` // indexes of files
	PriorityLow         []int64       `json:"priority-low"`
	PriorityNormal      []int64       `json:"priority-normal"`
	QueuePosition       int64         `json:"queuePosition"`
	SeedIdleLimit       int64         `json:"seedIdleLimit"`
	SeedIdleMode        int64         `json:"seedIdleMode"`
	SeedRatioLimit      float64       `json:"seedRatioLimit"`
	SeedRatioMode       int64         `json:"seedRatioMode"`
	TrackerAdd          []string      `json:"trackerAdd"`
	TrackerRemove       []int64       `json:"trackerRemove"`
	TrackerReplace      []interface{} `json:"trackerReplace"` // An array of [ ID, STRING ] pairs
	UploadLimit         int64         `json:"uploadLimit"`
	UploadLimited       bool          `json:"uploadLimited"`
}
